<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
if($_SERVER['REQUEST_URI']!='/admin-administreaza-baza-de-date')
$back[1]='<a href="/admin-administreaza-baza-de-date">'.img('administrare.png',1).'Administrează baza de date</a>';
$titlu='Administrează baza de date';
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
if($go=='')
{
echo$div[4].'Administrează baza de date'.$div[5].$div[10].'Din acest meniu poți administra baza de date, dar trebuie să ai grijă ce faci, deoarece riști să faci site-ul ne funcțional!'.$div[0].$div[4].'Afișează tabelele bazei de date <strong>'.$db[3].'</strong>'.$div[5];
echo'<table>';
$tabele=$conn->query('SHOW TABLES');
while($tabela=$tabele->fetch_row())
{
echo'<tr><td>'.$tabela[0].'</td><td><ul type="square">';
$coloanele=$conn->query('SHOW COLUMNS FROM`'.$tabela[0].'`');
while($coloana=$coloanele->fetch_row())
{
echo'<li>'.$coloana[0].'</li>';
}
echo'</ul></td></tr>';
}
echo'</table>';
}
require'f_jos.php';